diff --git python-gssapi/python-gssapi.spec python-gssapi/python-gssapi.spec.tmp
index be9464b1cb..670ec23f0b 100644
--- python-gssapi/python-gssapi.spec
+++ python-gssapi/python-gssapi.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-gssapi
 Version:        1.2.0
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Python Bindings for GSSAPI (RFC 2743/2744 and extensions)
 
 License:        ISC
@@ -21,10 +21,6 @@ BuildRequires:  krb5-libs >= 1.10
 BuildRequires:  Cython >= 0.21
 BuildRequires:  python-setuptools
 BuildRequires:  python-tox
-Requires:       krb5-libs >= 1.10
-Requires:       python-six
-Requires:       python-enum34
-Requires:       python-decorator
 
 # For autosetup
 BuildRequires: git
@@ -48,12 +44,24 @@ BuildRequires:  python3-should-be
 %endif
 %endif
 
-%description
-A set of Python bindings to the GSSAPI C library providing both
-a high-level pythonic interfaces and a low-level interfaces
-which more closely matches RFC 2743.  Includes support for
+%global _description\
+A set of Python bindings to the GSSAPI C library providing both\
+a high-level pythonic interfaces and a low-level interfaces\
+which more closely matches RFC 2743.  Includes support for\
 RFC 2743, as well as multiple extensions.
 
+%description %_description
+
+%package -n python2-gssapi
+Summary: %summary
+Requires:       python-decorator
+Requires:       python-enum34
+Requires:       python-six
+Requires:       krb5-libs >= 1.10
+%{?python_provide:%python_provide python2-gssapi}
+
+%description -n python2-gssapi %_description
+
 %if 0%{?with_python3}
 %package -n python3-gssapi
 Summary:        Python 3 Bindings for GSSAPI (RFC 2743/2744 and extensions)
@@ -120,7 +128,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-gssapi
 %doc README.txt
 %license LICENSE.txt
 %{python2_sitearch}/*
@@ -134,6 +142,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.0-7
+- Python 2 subpackage renamed to python2-gssapi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gstreamer1/python-gstreamer1.spec python-gstreamer1/python-gstreamer1.spec.tmp
index 5abc3760d8..d854bdfb21 100644
--- python-gstreamer1/python-gstreamer1.spec
+++ python-gstreamer1/python-gstreamer1.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-gstreamer1
 Version:        1.12.2
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Python bindings for GStreamer
 
 Group:          Development/Languages
@@ -14,9 +14,6 @@ License:        LGPLv2+
 URL:            http://gstreamer.freedesktop.org/
 Source:         http://gstreamer.freedesktop.org/src/gst-python/gst-python-%{version}.tar.xz
 
-Requires:       pygobject3%{?_isa}
-Requires:       gstreamer1%{?_isa} >= %{gstreamer1_version}
-
 BuildRequires:  python2-devel >= 2.7
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
@@ -27,12 +24,22 @@ BuildRequires:  pygobject3-devel
 
 # For the benefit of people migrating from the GStreamer-0.10 package,
 # which was called gstreamer-python
-Provides:       gstreamer1-python
 
-%description
-This module contains PyGObject overrides to make it easier to write
+%global _description\
+This module contains PyGObject overrides to make it easier to write\
 applications that use GStreamer 1.x in Python.
 
+%description %_description
+
+%package -n python2-gstreamer1
+Summary: %summary
+Provides:       gstreamer1-python
+Requires:       gstreamer1%{?_isa} >= %{gstreamer1_version}
+Requires:       pygobject3%{?_isa}
+%{?python_provide:%python_provide python2-gstreamer1}
+
+%description -n python2-gstreamer1 %_description
+
 %if 0%{?with_python3}
 %package -n python3-gstreamer1
 Summary:        Python bindings for GStreamer
@@ -78,7 +85,7 @@ popd
 
 find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
 
-%files
+%files -n python2-gstreamer1
 %license COPYING
 %doc AUTHORS ChangeLog NEWS README
 %{python2_sitearch}/gi/overrides/*
@@ -94,6 +101,10 @@ find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.12.2-3
+- Python 2 subpackage renamed to python2-gstreamer1
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.2-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gtkextra/python-gtkextra.spec python-gtkextra/python-gtkextra.spec.tmp
index 2344973692..3c77223ff2 100644
--- python-gtkextra/python-gtkextra.spec
+++ python-gtkextra/python-gtkextra.spec.tmp
@@ -3,7 +3,7 @@
 Summary: Python bindings for gtkextra
 Name: python-gtkextra
 Version: 1.1.0
-Release: 30%{?dist}
+Release: 31%{?dist}
 # FIXME: the license is not quite clear, using the most restrictive license
 # for this field.  See
 # http://sourceforge.net/tracker/index.php?func=detail&aid=1941652&group_id=35371&atid=414148
@@ -22,14 +22,22 @@ Patch4: python-gtkextra-1.1.0-G_TYPE_ITEM_ENTRY.patch
 BuildRequires: gtk+extra-devel, pygtk2-devel, python2-devel
 # For autoreconf
 BuildRequires: autoconf, automake, libtool
-Requires: pygtk2%{?_isa}
 
 %filter_provides_in %{python_sitearch}/gtk-2.0/gtkextra/_gtkextramodule.so
 %filter_setup
 
-%description
+%global _description\
 This package provides a Python interface to the GtkExtra2 widget set for GTK2.
 
+%description %_description
+
+%package -n python2-gtkextra
+Summary: %summary
+Requires: pygtk2%{?_isa}
+%{?python_provide:%python_provide python2-gtkextra}
+
+%description -n python2-gtkextra %_description
+
 %prep
 %setup -q
 %patch0 -p1 -b .update
@@ -52,7 +60,7 @@ make install DESTDIR=$RPM_BUILD_ROOT \
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-gtkextra
 %defattr(-,root,root,-)
 %doc AUTHORS ChangeLog COPYING README
 %{python_sitearch}/gtk-2.0/gtkextra
@@ -61,6 +69,10 @@ rm -rf $RPM_BUILD_ROOT
 %{_datadir}/pygtk/2.0/defs/gtkextra*.defs
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.0-31
+- Python 2 subpackage renamed to python2-gtkextra
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-30
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-guppy/python-guppy.spec python-guppy/python-guppy.spec.tmp
index 89d98392a9..a6fe61430a 100644
--- python-guppy/python-guppy.spec
+++ python-guppy/python-guppy.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:		python-%{realname}
 Version:	0.1.10
-Release:	5%{?dist}
+Release:	6%{?dist}
 Summary:	A Python Programming Environment
 Group:		Development/Languages
 License:	MIT
@@ -11,17 +11,25 @@ URL:		https://pypi.python.org/pypi/guppy/
 Source0:	https://pypi.python.org/packages/source/g/%{realname}/%{realname}-%{version}.tar.gz
 BuildRequires:	python-devel
 BuildRequires:	python-setuptools
-Provides:	%{realname}%{?_isa} = %{version}-%{release}
 
 
-%description
-Guppy-PE is a library and programming environment for Python, currently
-providing in particular the Heapy subsystem, which supports object and heap
-memory sizing, profiling and debugging. It also includes a prototypical
-specification language, the Guppy Specification Language (GSL), which can be
-used to formally specify aspects of Python programs and generate tests and
-documentation from a common source.
+%global _description\
+Guppy-PE is a library and programming environment for Python, currently\
+providing in particular the Heapy subsystem, which supports object and heap\
+memory sizing, profiling and debugging. It also includes a prototypical\
+specification language, the Guppy Specification Language (GSL), which can be\
+used to formally specify aspects of Python programs and generate tests and\
+documentation from a common source.\
+
+
+%description %_description
 
+%package -n python2-%{realname}
+Summary: %summary
+Provides:	%{realname}%{?_isa} = %{version}-%{release}
+%{?python_provide:%python_provide python2-%{realname}}
+
+%description -n python2-%{realname} %_description
 
 %prep
 %setup -q -n %{realname}-%{version}
@@ -35,12 +43,16 @@ documentation from a common source.
 %py_install
 
 
-%files
+%files -n python2-%{realname}
 %doc ANNOUNCE ANNOUNCE-0.1.5 ChangeLog PKG-INFO README
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.10-6
+- Python 2 subpackage renamed to python2-guppy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gzipstream/python-gzipstream.spec python-gzipstream/python-gzipstream.spec.tmp
index 7159cda7dc..fcc7f2eee7 100644
--- python-gzipstream/python-gzipstream.spec
+++ python-gzipstream/python-gzipstream.spec.tmp
@@ -5,7 +5,7 @@
 Summary: Streaming zlib (gzip) support for python
 Name: python-gzipstream
 Version: 2.3.3
-Release: 6%{?dist}
+Release: 7%{?dist}
 URL:        https://fedorahosted.org/spacewalk/wiki/Projects/python-gzipstream
 Source0:    https://fedorahosted.org/releases/s/p/spacewalk/python-gzipstream-%{version}.tar.gz
 License: GPLv2
@@ -15,12 +15,20 @@ BuildArch: noarch
 BuildRequires: python-devel
 
 
-%description
-A streaming gzip handler.
-gzipstream.GzipStream extends the functionality of the gzip.GzipFile class
-to allow the processing of streaming data.
+%global _description\
+A streaming gzip handler.\
+gzipstream.GzipStream extends the functionality of the gzip.GzipFile class\
+to allow the processing of streaming data.\
 
 
+%description %_description
+
+%package -n python2-gzipstream
+Summary: %summary
+%{?python_provide:%python_provide python2-gzipstream}
+
+%description -n python2-gzipstream %_description
+
 %prep
 %setup -q
 
@@ -34,12 +42,16 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-gzipstream
 %{python_sitelib}/*
 %doc html
 %doc LICENSE
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3.3-7
+- Python 2 subpackage renamed to python2-gzipstream
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-halite/python-halite.spec python-halite/python-halite.spec.tmp
index ec46c0e2e3..8500504a28 100644
--- python-halite/python-halite.spec
+++ python-halite/python-halite.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-halite
 Version:        0.1.16
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        SaltStack Web UI
 
 Group:          Development/Languages
@@ -20,11 +20,18 @@ BuildArch:      noarch
 
 BuildRequires:  python-setuptools
 
+%global _description\
+Halite is a Salt GUI. Status is pre-alpha. Contributions are very welcome. Join\
+us in #salt-devel on Freenode or on the salt-users mailing list.
+
+%description %_description
+
+%package -n python2-halite
+Summary: %summary
 Requires:       python-cherrypy
+%{?python_provide:%python_provide python2-halite}
 
-%description
-Halite is a Salt GUI. Status is pre-alpha. Contributions are very welcome. Join
-us in #salt-devel on Freenode or on the salt-users mailing list.
+%description -n python2-halite %_description
 
 %prep
 %setup -q -n %{_realname}-%{version}
@@ -42,11 +49,15 @@ sed -i '1{\@^#!/usr/bin/env python@d}' ${RPM_BUILD_ROOT}%{python_sitelib}/%{_rea
 chmod 0755 ${RPM_BUILD_ROOT}%{python_sitelib}/%{_realname}/server_bottle.py
 chmod 0755 ${RPM_BUILD_ROOT}%{python_sitelib}/%{_realname}/genindex.py
 
-%files
+%files -n python2-halite
 %doc $RPM_BUILD_DIR/LICENSE
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.16-8
+- Python 2 subpackage renamed to python2-halite
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.16-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-hardware/python-hardware.spec python-hardware/python-hardware.spec.tmp
index b2c6e4c5f4..146928c63c 100644
--- python-hardware/python-hardware.spec
+++ python-hardware/python-hardware.spec.tmp
@@ -7,7 +7,7 @@
 Name:           python-hardware
 Summary:        Hardware detection and classification utilities
 Version:        0.18
-Release:        6%{?dist}
+Release:        7%{?dist}
 License:        ASL 2.0
 URL:            https://pypi.python.org/pypi/hardware
 
@@ -26,12 +26,6 @@ BuildRequires:  python-six
 BuildRequires:  python-sphinx
 BuildRequires:  python-oslo-sphinx
 BuildRequires:  git
-Requires: numpy
-Requires: python-hardware-detect = %{version}-%{release}
-Requires: python-babel
-Requires: python-pandas
-Requires: python-pbr
-Requires: python-six
 
 
 %prep
@@ -66,19 +60,33 @@ popd
 %{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
 
 
-%description
-Hardware detection and classification utilities.
-Features:
-* detect hardware features of a Linux systems:
-** RAID
-** hard drives
-** IPMI
-** network cards
-** DMI info
-** memory settings
-** processor features
+%global _description\
+Hardware detection and classification utilities.\
+Features:\
+* detect hardware features of a Linux systems:\
+** RAID\
+** hard drives\
+** IPMI\
+** network cards\
+** DMI info\
+** memory settings\
+** processor features\
 * filter hardware according to hardware profiles
 
+%description %_description
+
+%package -n python2-hardware
+Summary: %summary
+Requires: python-six
+Requires: python-pbr
+Requires: python-pandas
+Requires: python-babel
+Requires: python-hardware-detect = %{version}-%{release}
+Requires: numpy
+%{?python_provide:%python_provide python2-hardware}
+
+%description -n python2-hardware %_description
+
 %if 0%{?with_python3}
 %package -n python3-hardware
 Summary:        Hardware detection and classification utilities
@@ -136,7 +144,7 @@ Group:      Documentation
 Documentation for Hardware detection and classification utilities.
 
 
-%files
+%files -n python2-hardware
 %license LICENSE
 %doc README.rst
 %{python2_sitelib}/hardware/cardiff
@@ -164,6 +172,10 @@ Documentation for Hardware detection and classification utilities.
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.18-7
+- Python 2 subpackage renamed to python2-hardware
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.18-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-hgapi/python-hgapi.spec python-hgapi/python-hgapi.spec.tmp
index c16a796a7d..15323e6a1c 100644
--- python-hgapi/python-hgapi.spec
+++ python-hgapi/python-hgapi.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-hgapi
 Version:        1.7.2
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Python API to Mercurial using the command-line interface
 
 License:        MIT
@@ -13,16 +13,24 @@ Patch0:         %{name}-%{version}-test_suite.patch
 
 BuildArch:      noarch
 BuildRequires:  python2-devel python-setuptools mercurial
-Requires:       mercurial
-
-%description
-hgapi is a pure-Python API to Mercurial, that uses the command-line interface
-instead of the internal Mercurial API. The rationale for this is twofold: the
-internal API is unstable, and it is GPL.
 
-hgapi works for all versions of Mercurial, and will instantly reflect any
+%global _description\
+hgapi is a pure-Python API to Mercurial, that uses the command-line interface\
+instead of the internal Mercurial API. The rationale for this is twofold: the\
+internal API is unstable, and it is GPL.\
+\
+hgapi works for all versions of Mercurial, and will instantly reflect any\
 changes to the repository (including hgrc).
 
+%description %_description
+
+%package -n python2-hgapi
+Summary: %summary
+Requires:       mercurial
+%{?python_provide:%python_provide python2-hgapi}
+
+%description -n python2-hgapi %_description
+
 %package -n     python3-hgapi
 Summary:        Python 3 API to Mercurial using the command-line interface
 BuildRequires:  python3-devel python3-setuptools
@@ -77,7 +85,7 @@ popd
 %{__python2} setup.py test
 
 
-%files
+%files -n python2-hgapi
 %doc README.rst LICENSE
 %{python2_sitelib}/hgapi-%{version}-py%{python2_version}.egg-info
 %{python2_sitelib}/hgapi/
@@ -88,6 +96,10 @@ popd
 %{python3_sitelib}/hgapi/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7.2-9
+- Python 2 subpackage renamed to python2-hgapi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.2-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-hghooks/python-hghooks.spec python-hghooks/python-hghooks.spec.tmp
index 3c383fc561..40423e512e 100644
--- python-hghooks/python-hghooks.spec
+++ python-hghooks/python-hghooks.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{srcname}
 Version:        0.7.0
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        %{sum}
 
 License:        LGPLv3
@@ -13,21 +13,29 @@ Source0:        https://files.pythonhosted.org/packages/source/h/%{srcname}/%{sr
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       mercurial
 
-%description
-hghooks is a simple module that adds several useful hooks for use
-in Mercurial hooks system.
+%global _description\
+hghooks is a simple module that adds several useful hooks for use\
+in Mercurial hooks system.\
+\
+Right now it includes hooks for:\
+\
+ * pep8 checking of python files\
+ * pyflakes checking of python files\
+ * jslint checking of javascript files\
+ * checking for forgotten pdb statements in python files\
+ * Trac integration. This includes:\
+   - Making sure at least a ticket is mentioned in the changeset message\
+   - Updating the Trac ticket with the changeset
 
-Right now it includes hooks for:
+%description %_description
 
- * pep8 checking of python files
- * pyflakes checking of python files
- * jslint checking of javascript files
- * checking for forgotten pdb statements in python files
- * Trac integration. This includes:
-   - Making sure at least a ticket is mentioned in the changeset message
-   - Updating the Trac ticket with the changeset
+%package -n python2-%{srcname}
+Summary: %summary
+Requires:       mercurial
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %prep
 %autosetup -n %{srcname}-%{version}
@@ -40,7 +48,7 @@ Right now it includes hooks for:
 %py2_install
 
 
-%files
+%files -n python2-%{srcname}
 %license COPYING
 %doc README.txt
 %{python2_sitelib}/%{srcname}
@@ -48,6 +56,10 @@ Right now it includes hooks for:
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-7
+- Python 2 subpackage renamed to python2-hghooks
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-HTMLgen/python-HTMLgen.spec python-HTMLgen/python-HTMLgen.spec.tmp
index bffb81a4fe..4cd14213f1 100644
--- python-HTMLgen/python-HTMLgen.spec
+++ python-HTMLgen/python-HTMLgen.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-HTMLgen
 Version:        2.2.2
-Release:        26%{?dist}
+Release:        27%{?dist}
 Summary:        A class library for the generation of HTML documents
 
 Group:          Development/Libraries
@@ -20,11 +20,19 @@ Patch2:		htmlgen-whrandom-2.2.2.patch
 BuildRequires:  python-devel
 BuildArch:      noarch
 
-%description
-HTMLgen is a class library for the generation of HTML documents with Python
-scripts. It's used when you want to create HTML pages containing information
+%global _description\
+HTMLgen is a class library for the generation of HTML documents with Python\
+scripts. It's used when you want to create HTML pages containing information\
 which changes from time to time.
 
+%description %_description
+
+%package -n python2-htmlgen
+Summary: %summary
+%{?python_provide:%python_provide python2-htmlgen}
+
+%description -n python2-htmlgen %_description
+
 %prep
 %setup -q -n HTMLgen
 %patch -p1
@@ -49,13 +57,17 @@ done
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-htmlgen
 %defattr(-,root,root,-)
 %doc README html image data
 %{python_sitelib}/*.py
 %{python_sitelib}/*.py[co]
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2.2-27
+- Python 2 subpackage renamed to python2-htmlgen
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-26
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-httplib2/python-httplib2.spec python-httplib2/python-httplib2.spec.tmp
index 30bf15715d..6708f43c2f 100644
--- python-httplib2/python-httplib2.spec
+++ python-httplib2/python-httplib2.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-httplib2
 Version:        0.9.2
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        A comprehensive HTTP client library
 Group:          System Environment/Libraries
 License:        MIT
@@ -41,10 +41,18 @@ BuildArch:      noarch
 BuildRequires:  python3-devel
 %endif # if with_python3
 
-%description
-A comprehensive HTTP client library that supports many features left out of
+%global _description\
+A comprehensive HTTP client library that supports many features left out of\
 other HTTP libraries.
 
+%description %_description
+
+%package -n python2-httplib2
+Summary: %summary
+%{?python_provide:%python_provide python2-httplib2}
+
+%description -n python2-httplib2 %_description
+
 %if 0%{?with_python3}
 %package -n python3-httplib2
 Summary:        A comprehensive HTTP client library
@@ -91,7 +99,7 @@ popd
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-httplib2
 %defattr(-,root,root,-)
 %{python_sitelib}/*
 
@@ -102,6 +110,10 @@ rm -rf $RPM_BUILD_ROOT
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.2-7
+- Python 2 subpackage renamed to python2-httplib2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-http-parser/python-http-parser.spec python-http-parser/python-http-parser.spec.tmp
index 5bee718f3a..49ad3ad716 100644
--- python-http-parser/python-http-parser.spec
+++ python-http-parser/python-http-parser.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-http-parser
 Version:        0.8.3
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        HTTP request/response parser for Python
 
 License:        MIT
@@ -15,11 +15,19 @@ BuildRequires:  python-setuptools
 %filter_provides_in %{python_sitearch}/http_parser/parser.so
 %filter_setup
 
-%description
-HTTP request/response parser for Python compatible with Python 2.x
-(>=2.5.4), Python 3 and Pypy. If possible a C parser based on
+%global _description\
+HTTP request/response parser for Python compatible with Python 2.x\
+(>=2.5.4), Python 3 and Pypy. If possible a C parser based on\
 http-parser_ from Ryan Dahl will be used.
 
+%description %_description
+
+%package -n python2-http-parser
+Summary: %summary
+%{?python_provide:%python_provide python2-http-parser}
+
+%description -n python2-http-parser %_description
+
 %if 0%{?with_python3}
 %package -n python3-http-parser
 Summary:        HTTP request/response parser for Python 3
@@ -48,7 +56,7 @@ This package contains Python 3 build of http-parser.
 %py3_install
 
 
-%files
+%files -n python2-http-parser
 %doc LICENSE README.rst
 %{python_sitearch}/http_parser*
 
@@ -61,6 +69,10 @@ This package contains Python 3 build of http-parser.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.3-12
+- Python 2 subpackage renamed to python2-http-parser
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-httpretty/python-httpretty.spec python-httpretty/python-httpretty.spec.tmp
index 39d39fe48a..e6b5e6e0ce 100644
--- python-httpretty/python-httpretty.spec
+++ python-httpretty/python-httpretty.spec.tmp
@@ -16,7 +16,7 @@
 Name:           python-httpretty
 Version:        0.8.14
 # If github_date is defined, assume a post-release snapshot
-Release:        4%{?github_date:.%{github_date}git%{shortcommit}}%{?dist}
+Release:        5%{?github_date:.%{github_date}git%{shortcommit}}%{?dist}
 Summary:        HTTP request mock tool for Python
 
 License:        MIT
@@ -62,8 +62,6 @@ Patch4:         0001-Call-reset-from-setUp-and-tearDown-in-addition-to-en.patch
 
 BuildArch:      noarch
 
-Requires:       python-urllib3
-
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 # For tests
@@ -79,13 +77,22 @@ BuildRequires:  python-tornado
 BuildRequires:  python-unittest2
 %endif
 
-%description
-Once upon a time a python developer wanted to use a RESTful API, everything was
-fine but until the day he needed to test the code that hits the RESTful API:
-what if the API server is down? What if its content has changed?
-
+%global _description\
+Once upon a time a python developer wanted to use a RESTful API, everything was\
+fine but until the day he needed to test the code that hits the RESTful API:\
+what if the API server is down? What if its content has changed?\
+\
 Don't worry, HTTPretty is here for you.
 
+%description %_description
+
+%package -n python2-httpretty
+Summary: %summary
+Requires:       python-urllib3
+%{?python_provide:%python_provide python2-httpretty}
+
+%description -n python2-httpretty %_description
+
 %if 0%{?with_python3}
 %package -n python3-httpretty
 Summary:        HTTP request mock tool for Python 3
@@ -168,7 +175,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-httpretty
 %doc README.md
 %license COPYING
 %{python_sitelib}/httpretty
@@ -184,6 +191,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.14-5.20161011git70af1f8
+- Python 2 subpackage renamed to python2-httpretty
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.14-4.20161011git70af1f8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-humanize/python-humanize.spec python-humanize/python-humanize.spec.tmp
index d9993ba8fd..4cd1661f18 100644
--- python-humanize/python-humanize.spec
+++ python-humanize/python-humanize.spec.tmp
@@ -14,7 +14,7 @@
 
 Name:           python-humanize
 Version:        0.5.1
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Turns dates in to human readable format, e.g '3 minutes ago'
 
 License:        MIT
@@ -31,11 +31,19 @@ BuildRequires:  python3-tools
 %endif
 
 
-%description
-This modest package contains various common humanization utilities, like turning
-a number into a fuzzy human readable duration ('3 minutes ago') or into a human
-readable size or throughput.
+%global _description\
+This modest package contains various common humanization utilities, like turning\
+a number into a fuzzy human readable duration ('3 minutes ago') or into a human\
+readable size or throughput.\
+
 
+%description %_description
+
+%package -n python2-humanize
+Summary: %summary
+%{?python_provide:%python_provide python2-humanize}
+
+%description -n python2-humanize %_description
 
 %if 0%{?with_python3}
 %package -n python3-humanize
@@ -101,7 +109,7 @@ popd
 %endif
 %endif
 
-%files -f humanize.lang
+%files -n python2-humanize -f humanize.lang
 %doc README.rst LICENCE
 %dir %{python2_sitelib}/humanize
 %{python2_sitelib}/humanize/*.py*
@@ -123,6 +131,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.1-9
+- Python 2 subpackage renamed to python2-humanize
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-husl/python-husl.spec python-husl/python-husl.spec.tmp
index 797a4ac511..7eacf77336 100644
--- python-husl/python-husl.spec
+++ python-husl/python-husl.spec.tmp
@@ -2,7 +2,7 @@
 
 Name: python-%{upname}
 Version: 4.0.3
-Release: 5%{?dist}
+Release: 6%{?dist}
 Summary: A Python implementation of HUSL
 License: MIT
 
@@ -14,10 +14,18 @@ BuildArch: noarch
 BuildRequires: python2-devel python-setuptools
 BuildRequires: python3-devel python3-setuptools
 
-%description
-HUSL is a human-friendly alternative to HSL (Hue, Saturation and Lightness)
+%global _description\
+HUSL is a human-friendly alternative to HSL (Hue, Saturation and Lightness)\
 color space. This package provides Python2 support
 
+%description %_description
+
+%package -n python2-%{upname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{upname}}
+
+%description -n python2-%{upname} %_description
+
 %package -n python3-%{upname}
 Summary: A Python implementation of HUSL
 BuildRequires: python3-devel python3-setuptools
@@ -53,7 +61,7 @@ popd
 
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-%{upname}
 %doc README.md
 %license LICENSE.txt
 %{python2_sitelib}/husl*
@@ -65,6 +73,10 @@ popd
 %{python3_sitelib}/__pycache__/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.0.3-6
+- Python 2 subpackage renamed to python2-husl
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.3-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
